删除文件
DELETE
/v1/mailboxes/{mailbox_id}/files/{file_id}不完整的提交文件无法删除:响应409。删除后配额释放。
要求
curl -X DELETE 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files/<file_id>' \ -H 'Authorization: Bearer <access_token>'选项
mailbox_idpath一定integerfile_idpath一定string · uuidX-Customer-IDheader- 选项 1
string选项 2null
响应
200 成功回复
application/json
object
deletedboolean
401 需要登录
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
403 无法访问
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
404 找不到资源
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
409 国家冲突
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
422 验证错误
application/json
object
detailarray数组元素objectloc一定array数组元素选项 1string选项 2integermsg一定stringtype一定string
503 暂时无法使用
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object